Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           gecko-sharp
Version:        0.12
Release:        1
Summary:        Gecko bindings for Mono

Group:          System/Libraries
License:        MPL/LGPL
URL:            http://www.mono-project.com/
Source0:        gecko-sharp-2.0-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: 	gecko-sharp-libdir.patch

BuildRequires:  gtk-sharp-devel firefox-devel gtk2+-devel mono-core-devel gtk-sharp-gapi
BuildRequires:  automake, libtool
Requires:       firefox 

%description
This package provides Mono bindings for the Gecko engine, through
an easy-to-use widget that will allow you to embed a Mozilla
browser window into your Gtk# application.

%package devel
Requires: 	%{name} = %{version}-%{release}
Summary: 	Files needed for developing with gecko-sharp2
Group: 		Development/Libraries

%description devel
This package provides the necessary development libraries and headers
for writing gecko-sharp2 applications.

%prep
%setup -n gecko-sharp-2.0-%{version}
%patch1 -p1 -b .libdir

%build
autoreconf --force --install
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package gecko-sharp-2.0 /gacdir %{_libdir} /root ${RPM_BUILD_ROOT}%{_libdir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_libdir}/mono/gac/gecko-sharp
%{_libdir}/mono/gecko-sharp-2.0

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*-sharp-2.0.pc


%changelog
* Wed Apr 04 2007 Christian Metzen <metzench@ccux-linux.de> 0.12-1
- Initial release
